import { ReactNode } from 'react';
import { IPublicTypeTitleContent } from '@gant-lowcode/lowcode-types';
import './index.less';
import { Field, PopupField, EntryField, PlainField } from './fields';
export interface FieldProps {
    className?: string;
    title?: IPublicTypeTitleContent | null;
    display?: 'accordion' | 'inline' | 'block' | 'plain' | 'popup' | 'entry';
    collapsed?: boolean;
    valueState?: number;
    onExpandChange?: (collapsed: boolean) => void;
    onClear?: () => void;
    [extra: string]: any;
}
export declare function createField(props: FieldProps, children: ReactNode, type?: 'accordion' | 'inline' | 'block' | 'plain' | 'popup' | 'entry'): ReactNode;
export { Field, PopupField, EntryField, PlainField };
