import { Component } from 'react';
import { ISkeleton } from '../skeleton';
import './workbench.less';
import { EditorConfig, PluginClassSet } from '@gant-lowcode/lowcode-types';
export declare class Workbench extends Component<{
    skeleton: ISkeleton;
    config?: EditorConfig;
    components?: PluginClassSet;
    className?: string;
    topAreaItemClassName?: string;
}, {
    width: number;
    startDrag: boolean;
}> {
    constructor(props: any);
    handleSplitterMouseDown: (e: React.MouseEvent) => void;
    render(): import("react").JSX.Element;
}
