"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var React = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var InlineTip = exports["default"] = /*#__PURE__*/function (_React$Component) {
  function InlineTip() {
    return _React$Component.apply(this, arguments) || this;
  }
  (0, _inheritsLoose2["default"])(InlineTip, _React$Component);
  var _proto = InlineTip.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      position = _this$props.position,
      theme = _this$props.theme,
      children = _this$props.children;
    return /*#__PURE__*/React.createElement("div", {
      style: {
        display: 'none'
      },
      "data-role": "tip",
      "data-position": position,
      "data-theme": theme
    }, children);
  };
  return InlineTip;
}(React.Component);
InlineTip.displayName = 'InlineTip';
InlineTip.defaultProps = {
  position: 'auto',
  theme: 'black'
};