import React, { Component } from 'react';
import StageChain from './stage-chain';
import { ISkeleton } from '../../skeleton';
export declare const StageBoxDefaultProps: {};
export type StageBoxProps = typeof StageBoxDefaultProps & {
    stageChain?: StageChain;
    className?: string;
    children: React.ReactNode;
    skeleton: ISkeleton;
};
export default class StageBox extends Component<StageBoxProps> {
    static defaultProps: {};
    static displayName: string;
    private stageChain;
    private willDetach;
    private shell;
    private popupPipe;
    private pipe;
    constructor(props: StageBoxProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
