"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _react = require("react");
var _classnames = _interopRequireDefault(require("classnames"));
var _lowcodeEditorCore = require("@gant-lowcode/lowcode-editor-core");
var _class, _class2;
var BottomArea = exports["default"] = (0, _lowcodeEditorCore.observer)(_class2 = /*#__PURE__*/function (_Component2) {
  function BottomArea() {
    return _Component2.apply(this, arguments) || this;
  }
  (0, _inheritsLoose2["default"])(BottomArea, _Component2);
  var _proto2 = BottomArea.prototype;
  _proto2.render = function render() {
    var area = this.props.area;
    if (area.isEmpty()) {
      return null;
    }
    return /*#__PURE__*/React.createElement("div", {
      className: (0, _classnames["default"])('lc-bottom-area', {
        'lc-area-visible': area.visible
      })
    }, /*#__PURE__*/React.createElement(Contents, {
      area: area
    }));
  };
  return BottomArea;
}(_react.Component)) || _class2;
var Contents = (0, _lowcodeEditorCore.observer)(_class = /*#__PURE__*/function (_Component) {
  function Contents() {
    return _Component.apply(this, arguments) || this;
  }
  (0, _inheritsLoose2["default"])(Contents, _Component);
  var _proto = Contents.prototype;
  _proto.render = function render() {
    var area = this.props.area;
    return /*#__PURE__*/React.createElement(_react.Fragment, null, area.container.items.map(function (item) {
      return item.content;
    }));
  };
  return Contents;
}(_react.Component)) || _class;