"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _applyDecoratedDescriptor2 = _interopRequireDefault(require("@babel/runtime/helpers/applyDecoratedDescriptor"));
var _react = require("react");
var _lowcodeEditorCore = require("@gant-lowcode/lowcode-editor-core");
var _classnames = _interopRequireDefault(require("classnames"));
var _lowcodeUtils = require("@gant-lowcode/lowcode-utils");
var _class;
var PanelOperationRow = exports["default"] = (_class = /*#__PURE__*/function (_Component) {
  function PanelOperationRow(props) {
    var _this;
    _this = _Component.call(this, props) || this;
    (0, _lowcodeEditorCore.makeObservable)(_this);
    return _this;
  }
  // fix or float
  (0, _inheritsLoose2["default"])(PanelOperationRow, _Component);
  var _proto = PanelOperationRow.prototype;
  _proto.setDisplay = function setDisplay() {
    var panel = this.props.panel;
    var current = panel;
    if (!current) {
      return;
    }
    panel.skeleton.toggleFloatStatus(panel);
  };
  _proto.render = function render() {
    var _this$props$panel$con, _panel$config$props, _panel$config$props2, _panel$parent;
    var panel = this.props.panel;
    var isRightArea = ((_this$props$panel$con = this.props.panel.config) === null || _this$props$panel$con === void 0 ? void 0 : _this$props$panel$con.area) === 'rightArea';
    if (isRightArea) {
      return null;
    }
    // can be set fixed by default
    var canSetFixed = true;
    if ((panel === null || panel === void 0 ? void 0 : (_panel$config$props = panel.config.props) === null || _panel$config$props === void 0 ? void 0 : _panel$config$props.canSetFixed) === false) {
      canSetFixed = false;
    }
    var hideTitleBar = panel === null || panel === void 0 ? void 0 : (_panel$config$props2 = panel.config.props) === null || _panel$config$props2 === void 0 ? void 0 : _panel$config$props2.hideTitleBar;
    var areaName = panel === null || panel === void 0 ? void 0 : (_panel$parent = panel.parent) === null || _panel$parent === void 0 ? void 0 : _panel$parent.name;
    var area = panel.skeleton[areaName];
    return /*#__PURE__*/React.createElement(_react.Fragment, null, !hideTitleBar && /*#__PURE__*/React.createElement(_react.Fragment, null, canSetFixed &&
    /*#__PURE__*/
    // eslint-disable-next-line react/jsx-no-bind
    React.createElement("button", {
      className: (0, _classnames["default"])('lc-panel-operation-row-btn', 'lc-pane-icon-fix'),
      onClick: this.setDisplay.bind(this)
    }, areaName === 'leftFloatArea' ? (0, _lowcodeUtils.createIcon)('fix') : (0, _lowcodeUtils.createIcon)('float')), /*#__PURE__*/React.createElement("button", {
      className: (0, _classnames["default"])('lc-panel-operation-row-btn', 'lc-pane-icon-close'),
      onClick: function onClick() {
        area && area.setVisible(false);
      }
    }, (0, _lowcodeUtils.createIcon)('close'))));
  };
  return PanelOperationRow;
}(_react.Component), (0, _applyDecoratedDescriptor2["default"])(_class.prototype, "setDisplay", [_lowcodeEditorCore.action], Object.getOwnPropertyDescriptor(_class.prototype, "setDisplay"), _class.prototype), _class);